// This file contains custom colors for use in Polyray.
// Many pre-defined colors for use in scene files.

/*******************************************************************
  Colors from the Persistence of Vision ray tracer converted for 
  Polyray (from POV's COLORS.INC) by Rob McGregor
********************************************************************/

// These grays are useful for fine-tuning lighting color values
// and for other areas where subtle variations of grays are needed.
static define Gray05 <0.05, 0.05, 0.05>
static define Gray10 <0.10, 0.10, 0.10>
static define Gray15 <0.15, 0.15, 0.15>
static define Gray20 <0.20, 0.20, 0.20>
static define Gray25 <0.25, 0.25, 0.25>
static define Gray30 <0.30, 0.30, 0.30>
static define Gray35 <0.35, 0.35, 0.35>
static define Gray40 <0.40, 0.40, 0.40>
static define Gray45 <0.45, 0.45, 0.45>
static define Gray50 <0.50, 0.50, 0.50>
static define Gray55 <0.55, 0.55, 0.55>
static define Gray60 <0.60, 0.60, 0.60>
static define Gray65 <0.65, 0.65, 0.65>
static define Gray70 <0.70, 0.70, 0.70>
static define Gray75 <0.75, 0.75, 0.75>
static define Gray80 <0.80, 0.80, 0.80>
static define Gray85 <0.85, 0.85, 0.85>
static define Gray90 <0.90, 0.90, 0.90>
static define Gray95 <0.95, 0.95, 0.95>

static define DimGray <0.329412, 0.329412, 0.329412>
static define Gray <0.752941, 0.752941, 0.752941>
static define LightGray <0.658824, 0.658824, 0.658824>
static define VLightGrey <0.80, 0.80, 0.80>

static define BakersChoc <0.36, 0.20, 0.09>
static define Brass <0.71, 0.65, 0.26>
static define BrightGold <0.85, 0.85, 0.10>
static define Bronze <0.55, 0.47, 0.14>
static define Bronze2 <0.65, 0.49, 0.24>
static define CoolCopper <0.85, 0.53, 0.10>
static define Copper <0.72, 0.45, 0.20>
static define DarkBrown <0.36, 0.25, 0.20>
static define DarkPurple <0.53, 0.12, 0.47>
static define DarkTan <0.59, 0.41, 0.31>
static define DarkWood <0.52, 0.37, 0.26>
static define DkGreenCopper <0.29, 0.46, 0.43>
static define DustyRose <0.52, 0.39, 0.39>
static define Feldspar <0.82, 0.57, 0.46>
static define Flesh <0.96, 0.80, 0.69>
static define GreenCopper <0.32, 0.49, 0.46>
static define HuntersGreen <0.13, 0.37, 0.31>
static define LightWood <0.91, 0.76, 0.65>
static define MandarinOrange <0.89, 0.47, 0.20>
static define MediumWood <0.65, 0.50, 0.39>
static define Mica Black
static define NeonBlue <0.30, 0.30, 1.00>
static define NeonPink <1.00, 0.43, 0.78>
static define NewMidnightBlue <0.00, 0.00, 0.61>
static define NewTan <0.92, 0.78, 0.62>
static define OldGold <0.81, 0.71, 0.23>
static define Quartz <0.85, 0.85, 0.95>
static define RichBlue <0.35, 0.35, 0.67>
static define Scarlet <0.55, 0.09, 0.09>
static define SemiSweetChoc <0.42, 0.26, 0.15>
static define Silver <0.90, 0.91, 0.98>
static define SpicyPink <1.00, 0.11, 0.68>
static define SummerSky <0.22, 0.69, 0.87>
static define VeryDarkBrown <0.35, 0.16, 0.14>

/***************************************************************
  Custom Colors created with the POVCAD Color Generator
***************************************************************/

// POVCAD Custom Color
define Heiny_Green <0.0, 0.549, 0.294>
